Bug 1652206 - SELinux is preventing condor_shared_p from 'connectto' accesses on the unix_stream_socket 00383230383765623435316330663532663664393932643266663738316632663166366366663136643964326536393162306335646139633833333633393337352F636F6C6C6563746F72.
Summary: SELinux is preventing condor_shared_p from 'connectto' accesses on the unix_s...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: x86_64
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:191e720347ba604fa1f7d53dc5d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-21 16:40 UTC by Knut J BJuland
Modified: 2019-11-27 22:15 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:15:29 UTC


Attachments (Terms of Use)

Description Knut J BJuland 2018-11-21 16:40:37 UTC
Description of problem:
SELinux is preventing condor_shared_p from 'connectto' accesses on the unix_stream_socket 00383230383765623435316330663532663664393932643266663738316632663166366366663136643964326536393162306335646139633833333633393337352F636F6C6C6563746F72.

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If you want to enable cluster mode for daemons.
Then you must tell SELinux about this by enabling the 'daemons_enable_cluster_mode' boolean.

Do
setsebool -P daemons_enable_cluster_mode 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If you believe that condor_shared_p should be allowed connectto access on the 00383230383765623435316330663532663664393932643266663738316632663166366366663136643964326536393162306335646139633833333633393337352F636F6C6C6563746F72 unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'condor_shared_p' --raw | audit2allow -M my-condorsharedp
# semodule -X 300 -i my-condorsharedp.pp

Additional Information:
Source Context                system_u:system_r:condor_master_t:s0
Target Context                system_u:system_r:condor_master_t:s0
Target Objects                00383230383765623435316330663532663664393932643266
                              66373831663266316636636666313664396432653639316230
                              6335646139633833333633393337352F636F6C6C6563746F72
                              [ unix_stream_socket ]
Source                        condor_shared_p
Source Path                   condor_shared_p
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.14.2-42.fc29.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.19.2-301.fc29.x86_64 #1 SMP Sat
                              Nov 17 17:58:01 UTC 2018 x86_64 x86_64
Alert Count                   436
First Seen                    2018-11-21 09:02:21 CET
Last Seen                     2018-11-21 17:39:40 CET
Local ID                      cdbbdd87-9630-43b4-ae96-7830cf6a75f2

Raw Audit Messages
type=AVC msg=audit(1542818380.691:2356): avc:  denied  { connectto } for  pid=17511 comm="condor_shared_p" path=00383230383765623435316330663532663664393932643266663738316632663166366366663136643964326536393162306335646139633833333633393337352F636F6C6C6563746F72 scontext=system_u:system_r:condor_master_t:s0 tcontext=system_u:system_r:condor_master_t:s0 tclass=unix_stream_socket permissive=1


Hash: condor_shared_p,condor_master_t,condor_master_t,unix_stream_socket,connectto

Version-Release number of selected component:
selinux-policy-3.14.2-42.fc29.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.6
hashmarkername: setroubleshoot
kernel:         4.19.2-301.fc29.x86_64
type:           libreport

Comment 1 Ben Cotton 2019-10-31 19:30:13 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 22:15:29 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.